import type { CanvasKit, FontMgr, Typeface, TypefaceFontProvider } from 'canvaskit-wasm';
export declare class FontLoader {
    private cache;
    private fontMgrCache;
    loadFont(CanvasKit: CanvasKit, font: string, url: string): Promise<void>;
    getTypefaceFontProvider(font: string): TypefaceFontProvider;
    getTypeface(font: string): Typeface;
    getFontBuffer(font: string): ArrayBuffer;
    getOrCreateFontMgr(CanvasKit: CanvasKit, fontFamilies: string[]): FontMgr;
    destroy(): void;
}
//# sourceMappingURL=FontLoader.d.ts.map