import type { DataURLOptions } from '@antv/g-lite';
import { AbstractRendererPlugin } from '@antv/g-lite';
import type { Canvas, InputRect } from 'canvaskit-wasm';
import type { CanvaskitRendererPluginOptions } from './interfaces';
export * from './interfaces';
export declare class Plugin extends AbstractRendererPlugin {
    private options;
    name: string;
    constructor(options?: Partial<CanvaskitRendererPluginOptions>);
    init(): void;
    destroy(): void;
    playAnimation(name: string, jsonStr: string, bounds?: InputRect, assets?: any): any;
    createParticles(jsonStr: string, onFrame?: (canvas: Canvas) => void, assets?: any): any;
    toDataURL(options: Partial<DataURLOptions>): any;
}
//# sourceMappingURL=index.d.ts.map