import type { CanvasContext, DisplayObject } from '@antv/g-lite';
import type { RendererContribution, RendererContributionContext } from '../interfaces';
/**
 * @see https://docs.flutter.dev/development/platform-integration/web-images#flutter-renderers-on-the-web
 * @see https://stackoverflow.com/questions/71418851/load-images-for-canvaskit-wasm-on-node-js-environment
 * @see https://fiddle.skia.org/c/@Canvas_drawImage
 * @see https://github.com/google/skia/blob/4ff73144c35b993907a6e3738a7be81c0681e504/modules/canvaskit/tests/bazel/core_test.js#L104
 */
export declare class ImageRenderer implements RendererContribution {
    private context;
    constructor(context: CanvasContext);
    render(object: DisplayObject, context: RendererContributionContext): void;
}
//# sourceMappingURL=Image.d.ts.map